Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.logging
Class WebLogicLogNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--weblogic.management.logging.WebLogicLogNotification

public final class WebLogicLogNotification
extends javax.management.Notification

This class is the type of Notifications which are generated by the LogBroadcasterRuntimeMBean in the server for log messages. JMX notification listeners registering to LogBroadcasterRuntimeMBean get a notification of this type when their handleNotification() methods are invoked. The getters on this class return the respective fields (as indicated by the name) of the log message on behalf of which this notification was created.

See Also:
  `LogBroadcasterRuntimeMBean`, `NotificationListener`, `NotificationBroadcaster`, Serialized Form

Fields inherited from class javax.management.Notification
`source`

Fields inherited from class java.util.EventObject
`source`

Method Summary
`java.lang.String` | `getMachineName()`
`int` | `getMessageId()`
`java.lang.String` | `getServername()`
`int` | `getSeverity()`
`java.lang.String` | `getThreadId()`
`java.lang.Throwable` | `getThrowable()`
`java.lang.String` | `getTransactionId()`
`java.lang.String` | `getType()` This returns the notification type, as defined by JMX.
`java.lang.String` | `getUserId()`
`int` | `getVersion()` Returns the version number for this WebLogicLogNotification.

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getType

    public java.lang.String getType()

  This returns the notification type, as defined by JMX.

  Overrides:
    getType in class javax.management.Notification

### getMachineName

    public java.lang.String getMachineName()

### getServername

    public java.lang.String getServername()

### getThreadId

    public java.lang.String getThreadId()

### getUserId

    public java.lang.String getUserId()

### getTransactionId

    public java.lang.String getTransactionId()

### getSeverity

    public int getSeverity()

### getThrowable

    public java.lang.Throwable getThrowable()

### getMessageId

    public int getMessageId()

### getVersion

    public final int getVersion()

  Returns the version number for this WebLogicLogNotification. This denotes the contents and format of the notification.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference